curl --request GET \
--url https://int-data.moneydesktop.com/categories/{category_guid} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/categories/{category_guid}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/categories/{category_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": {
"created_at": "2015-04-13T12:01:23.000Z",
"guid": "CAT-de7c2dc7-90e6-85a2-6509-5ec10942e887",
"is_default": true,
"is_income": true,
"metadata": "Additional information",
"name": "Auto Insurance",
"parent_guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
"updated_at": "2015-04-13T12:01:23.000Z"
}
}Read a category
Read a category.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the category. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
Date and time the category was created, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00). This field will always be null when is_default is true.
"2015-04-13T12:01:23.000Z"
Unique identifier for the category. Defined by MX.
"CAT-de7c2dc7-90e6-85a2-6509-5ec10942e887"
If the category is a default category, this field will be true. Otherwise, this field will be false.
true
If the category is income, this field will be true. Otherwise, this field will be false.
true
Additional information a partner can store on the category.
"Additional information"
Name of the sub-category.
"Auto Insurance"
Unique identifier for the parent category. If the category is a default category, this field will be "null". Defined by MX.
"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"
Date and time the category was last updated, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00). This field will always be null when is_default is true.
"2015-04-13T12:01:23.000Z"

